Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.relate
Class EdgeEndBundle

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeEnd
          com.vividsolutions.jts.operation.relate.EdgeEndBundle

All Implemented Interfaces:
  java.lang.Comparable

    public class EdgeEndBundle

extends EdgeEnd

A collection of `EdgeEnd`s which obey the following invariant: They originate at the same node and have the same direction.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.geomgraph.EdgeEnd
`edge, label`

Constructor Summary
`EdgeEndBundle(BoundaryNodeRule boundaryNodeRule, EdgeEnd e)`
`EdgeEndBundle(EdgeEnd e)`

Method Summary
`void` | `computeLabel(BoundaryNodeRule boundaryNodeRule)` This computes the overall edge label for the set of edges in this EdgeStubBundle.
`java.util.List` | `getEdgeEnds()`
`Label` | `getLabel()`
`void` | `insert(EdgeEnd e)`
`java.util.Iterator` | `iterator()`
`void` | `print(java.io.PrintStream out)`

Methods inherited from class com.vividsolutions.jts.geomgraph.EdgeEnd
`compareDirection, compareTo, getCoordinate, getDirectedCoordinate, getDx, getDy, getEdge, getNode, getQuadrant, init, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeEndBundle

    public EdgeEndBundle(BoundaryNodeRule boundaryNodeRule,
                         EdgeEnd e)

### EdgeEndBundle

    public EdgeEndBundle(EdgeEnd e)

Method Detail

### getLabel

    public Label getLabel()

  Overrides:
    `getLabel` in class `EdgeEnd`

### iterator

    public java.util.Iterator iterator()

### getEdgeEnds

    public java.util.List getEdgeEnds()

### insert

    public void insert(EdgeEnd e)

### computeLabel

    public void computeLabel(BoundaryNodeRule boundaryNodeRule)

  This computes the overall edge label for the set of edges in this EdgeStubBundle. It essentially merges the ON and side labels for each edge. These labels must be compatible

  Overrides:
    `computeLabel` in class `EdgeEnd`

### print

    public void print(java.io.PrintStream out)

  Overrides:
    `print` in class `EdgeEnd`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD